Index: /anuga_core/documentation/user_manual/demos/cairns/cairns.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/cairns.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/cairns.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -22,5 +21,5 @@
   <datafile>
     <filename>cairns.prj</filename>
-    <checksum>-2029103677</checksum>
+    <checksum>2265863619</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
@@ -32,5 +31,5 @@
   <datafile>
     <filename>cairns.csv</filename>
-    <checksum>-552986890</checksum>
+    <checksum>3741980406</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/demos/cairns/extent.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/extent.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/extent.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/demos/cairns/gauges.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/gauges.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/gauges.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>gauges.csv</filename>
-    <checksum>-553262928</checksum>
+    <checksum>3741704368</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/demos/cairns/islands.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/islands.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/islands.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>islands.csv</filename>
-    <checksum>-1130764673</checksum>
+    <checksum>3164202623</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/demos/cairns/islands1.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/islands1.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/islands1.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/demos/cairns/islands2.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/islands2.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/islands2.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>islands2.csv</filename>
-    <checksum>-736606425</checksum>
+    <checksum>3558360871</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/demos/cairns/islands3.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/islands3.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/islands3.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>islands3.csv</filename>
-    <checksum>-998127876</checksum>
+    <checksum>3296839420</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/demos/cairns/shallow.lic
===================================================================
--- /anuga_core/documentation/user_manual/demos/cairns/shallow.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/demos/cairns/shallow.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/examples/bedslopeexcerpt.lic
===================================================================
--- /anuga_core/documentation/user_manual/examples/bedslopeexcerpt.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/examples/bedslopeexcerpt.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/examples/runupoutput.lic
===================================================================
--- /anuga_core/documentation/user_manual/examples/runupoutput.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/examples/runupoutput.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>runupoutput.txt</filename>
-    <checksum>-1852636694</checksum>
+    <checksum>2442330602</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /anuga_core/documentation/user_manual/graphics/bedslopeduring.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/bedslopeduring.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/bedslopeduring.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/bedslopeend.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/bedslopeend.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/bedslopeend.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>bedslopeend.jpg</filename>
-    <checksum>-1241711562</checksum>
+    <checksum>3053255734</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /anuga_core/documentation/user_manual/graphics/bedslopestart.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/bedslopestart.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/bedslopestart.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>bedslopestart.jpg</filename>
-    <checksum>-1118373864</checksum>
+    <checksum>3176593432</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /anuga_core/documentation/user_manual/graphics/cairns3.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/cairns3.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/cairns3.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/cairnsgauges.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/cairnsgauges.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/cairnsgauges.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>cairnsgauges.jpg</filename>
-    <checksum>-1812519702</checksum>
+    <checksum>2482447594</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/graphics/cairnsmodel.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/cairnsmodel.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/cairnsmodel.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>cairnsmodel.jpg</filename>
-    <checksum>-27859669</checksum>
+    <checksum>4267107627</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/graphics/channel1.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/channel1.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/channel1.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/channel3.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/channel3.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/channel3.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/fixedwavedepth.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/fixedwavedepth.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/fixedwavedepth.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/gaugeCairnsAirportdepth.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/gaugeCairnsAirportdepth.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/gaugeCairnsAirportdepth.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>gaugeCairnsAirportdepth.png</filename>
-    <checksum>-258631213</checksum>
+    <checksum>4036336083</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/graphics/gaugeElfordReefslide.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/gaugeElfordReefslide.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/gaugeElfordReefslide.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>gaugeElfordReefslide.png</filename>
-    <checksum>-730163548</checksum>
+    <checksum>3564803748</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/graphics/gaugeElfordReefstage.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/gaugeElfordReefstage.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/gaugeElfordReefstage.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/polyanddata.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/polyanddata.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/polyanddata.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/polyanddata2.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/polyanddata2.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/polyanddata2.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/slidedepth.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/slidedepth.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/slidedepth.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>slidedepth.jpg</filename>
-    <checksum>-2134485769</checksum>
+    <checksum>2160481527</checksum>
     <publishable>Yes</publishable>
     <accountable>Jane Sexton</accountable>
Index: /anuga_core/documentation/user_manual/graphics/step-five.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/step-five.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/step-five.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/graphics/step-reconstruct.lic
===================================================================
--- /anuga_core/documentation/user_manual/graphics/step-reconstruct.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/graphics/step-reconstruct.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /anuga_core/documentation/user_manual/installgraphics/winassoc1.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winassoc1.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winassoc1.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>winassoc1.png</filename>
-      <checksum>-1655879756</checksum>
+      <checksum>2639087540</checksum>
       <publishable>Yes</publishable>
       <accountable>Ross Wilson</accountable>
Index: /anuga_core/documentation/user_manual/installgraphics/winassoc2.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winassoc2.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winassoc2.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
Index: /anuga_core/documentation/user_manual/installgraphics/winassoc3.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winassoc3.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winassoc3.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
Index: /anuga_core/documentation/user_manual/installgraphics/winassoc4.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winassoc4.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winassoc4.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
Index: /anuga_core/documentation/user_manual/installgraphics/winassoc5.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winassoc5.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winassoc5.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
Index: /anuga_core/documentation/user_manual/installgraphics/winassoc6.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winassoc6.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winassoc6.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>winassoc6.png</filename>
-      <checksum>-721309622</checksum>
+      <checksum>3573657674</checksum>
       <publishable>Yes</publishable>
       <accountable>Ross Wilson</accountable>
Index: /anuga_core/documentation/user_manual/installgraphics/winsetpath1.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winsetpath1.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winsetpath1.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>winsetpath1.png</filename>
-      <checksum>-434520722</checksum>
+      <checksum>3860446574</checksum>
       <publishable>Yes</publishable>
       <accountable>Ross Wilson</accountable>
Index: /anuga_core/documentation/user_manual/installgraphics/winsetpath2.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winsetpath2.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winsetpath2.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>winsetpath2.png</filename>
-      <checksum>-998208896</checksum>
+      <checksum>3296758400</checksum>
       <publishable>Yes</publishable>
       <accountable>Ross Wilson</accountable>
Index: /anuga_core/documentation/user_manual/installgraphics/winsetpath3.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winsetpath3.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winsetpath3.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>winsetpath3.png</filename>
-      <checksum>-400730601</checksum>
+      <checksum>3894236695</checksum>
       <publishable>Yes</publishable>
       <accountable>Ross Wilson</accountable>
Index: /anuga_core/documentation/user_manual/installgraphics/winsetpath4.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winsetpath4.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winsetpath4.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
Index: /anuga_core/documentation/user_manual/installgraphics/winsetpath5.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winsetpath5.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winsetpath5.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
Index: /anuga_core/documentation/user_manual/installgraphics/winsetpath6.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/winsetpath6.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/installgraphics/winsetpath6.lic	(revision 7290)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Ross Wilson</author>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/eventselection.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/eventselection.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/eventselection.lic	(revision 7290)
@@ -6,5 +6,5 @@
   <datafile>
     <filename>event1.png</filename>
-    <checksum>-1009075256</checksum>
+    <checksum>3285892040</checksum>
     <publishable>Yes</publishable>
     <accountable>Ross Wilson</accountable>
@@ -33,5 +33,5 @@
   <datafile>
     <filename>event4.png</filename>
-    <checksum>-1976300666</checksum>
+    <checksum>2318666630</checksum>
     <publishable>Yes</publishable>
     <accountable>Ross Wilson</accountable>
@@ -42,5 +42,5 @@
   <datafile>
     <filename>event5.png</filename>
-    <checksum>-589257133</checksum>
+    <checksum>3705710163</checksum>
     <publishable>Yes</publishable>
     <accountable>Ross Wilson</accountable>
@@ -60,5 +60,5 @@
   <datafile>
     <filename>event7.png</filename>
-    <checksum>-1969936737</checksum>
+    <checksum>2325030559</checksum>
     <publishable>Yes</publishable>
     <accountable>Ross Wilson</accountable>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/plotcsv.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/plotcsv.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/plotcsv.lic	(revision 7290)
@@ -33,5 +33,5 @@
   <datafile>
     <filename>4.png</filename>
-    <checksum>-98608764</checksum>
+    <checksum>4196358532</checksum>
     <publishable>Yes</publishable>
     <accountable>Ross Wilson</accountable>
@@ -42,5 +42,5 @@
   <datafile>
     <filename>5.png</filename>
-    <checksum>-1283934544</checksum>
+    <checksum>3011032752</checksum>
     <publishable>Yes</publishable>
     <accountable>Ross Wilson</accountable>
@@ -60,5 +60,5 @@
   <datafile>
     <filename>7.png</filename>
-    <checksum>-806963171</checksum>
+    <checksum>3488004125</checksum>
     <publishable>Yes</publishable>
     <accountable>Ross Wilson</accountable>
Index: /anuga_core/documentation/user_manual/triangularmesh.lic
===================================================================
--- /anuga_core/documentation/user_manual/triangularmesh.lic	(revision 7289)
+++ /anuga_core/documentation/user_manual/triangularmesh.lic	(revision 7290)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -18,5 +17,5 @@
   <datafile>
     <filename>triangularmesh.eps</filename>
-    <checksum>-706841201</checksum>
+    <checksum>3588126095</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>