Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event1.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event1.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event1.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event1.png</filename>
     <checksum>3285892040</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event2.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event2.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event2.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event2.png</filename>
     <checksum>1804776875</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event3.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event3.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event3.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event3.png</filename>
     <checksum>983024727</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event4.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event4.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event4.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event4.png</filename>
     <checksum>2318666630</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event5.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event5.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event5.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event5.png</filename>
     <checksum>3705710163</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event6.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event6.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event6.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event6.png</filename>
     <checksum>1257627752</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event7.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event7.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event7.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event7.png</filename>
     <checksum>2325030559</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/eventselection/event8.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/eventselection/event8.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/eventselection/event8.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>event8.png</filename>
     <checksum>359758113</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/1.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/1.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/1.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>1.png</filename>
     <checksum>293585227</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/2.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/2.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/2.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>2.png</filename>
     <checksum>1799886208</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/3.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/3.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/3.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>3.png</filename>
     <checksum>962451637</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/4.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/4.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/4.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>4.png</filename>
     <checksum>4196358532</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/5.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/5.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/5.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>5.png</filename>
     <checksum>3011032752</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/6.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/6.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/6.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>6.png</filename>
     <checksum>119661274</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/7.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/7.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/7.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>7.png</filename>
     <checksum>3488004125</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>
Index: /anuga_core/documentation/user_manual/toolgraphics/plotcsv/8.lic
===================================================================
--- /anuga_core/documentation/user_manual/toolgraphics/plotcsv/8.lic	(revision 7296)
+++ /anuga_core/documentation/user_manual/toolgraphics/plotcsv/8.lic	(revision 7297)
@@ -7,5 +7,5 @@
     <filename>8.png</filename>
     <checksum>827866285</checksum>
-    <publishable>Y</publishable>
+    <publishable>Yes</publishable>
     <accountable>r-w</accountable>
     <source>Generated by ANUGA development team</source>