Index: /anuga_core/documentation/user_manual/anuga_installation_guide.tex
===================================================================
--- /anuga_core/documentation/user_manual/anuga_installation_guide.tex	(revision 7298)
+++ /anuga_core/documentation/user_manual/anuga_installation_guide.tex	(revision 7299)
@@ -57,5 +57,5 @@
 
 To run ANUGA you will need a Windows PC (XP or Vista) or a Linux PC with at 
-least 512MB RAM.
+least 512MB RAM.  As ANUGA is a memory-intensive numerical system, more memory is better than less.
 
 The viewer (Windows only) requires a graphics adapter that
@@ -64,55 +64,56 @@
 Intel(R) 82915G Express chipset family.
 
+The instructions below are written for the numpy version of ANUGA.  ANUGA changed from
+relying on the Numeric package to the numpy package early in July, 2009.  If you have a Numeric ANUGA,
+you should refer to the installation instructions for that version.  The last Numeric version of 
+ANUGA had a build number of 7163.
+
+Where the text below refers to a specific package file such as \code{python-2.5.msi} you will find that
+file in a download area linked through the \emph{numpy_support_software} link on the page
+\url{https://datamining.anu.edu.au/anuga/wiki/NumpyInstall}.
+
 
 \section{Installation}
 
-Below are the install procedures for Windows XP, Windows Vista and Linux.
-
-\subsection{Quick install - Windows XP}
+Below are the install procedures for Windows XP, Windows Vista (both 32 bit) and Linux (32 and 64 bit).
+
+\subsection{Quick install - Windows XP (32 bit)}
 \label{sec:winxp}
 
 This procedure assumes that you do not have python installed on the target machine.
 If you do have a python installed already then skip the installation of python as
-long as you have version 2.3 or later installed.
-
-\begin{enumerate}  
-  \item Install the support software.
-    These packages are available from either:
-    \begin{itemize} 
-      \item The supplied ANUGA distribution folder: \code{pre_requisites$\backslash$2.5}.
-        Install in order:
+long as you have version 2.5 or later installed.
+
+\begin{itemize}  
+  \item Install the support software, in order.
+    \begin{enumerate}
+      \item Execute \code{python-2.5.4.msi} to install python.
+
+      \item Install MinGW from \code{MinGW-5.1.4.exe}.  Install components:
         \begin{enumerate}
-          \item Execute \code{python-2.5.msi} to install python.
-          \item Execute \code{Numeric-23.8.2.win32-py2.5.exe} to install Numeric Python.
-          \item Execute \code{ScientificPython-2.7.8.win32-py2.5.exe} to install Scientific Python.
-          \item Execute \code{MinGW-5.1.4.exe} to install MinGW.
-        \end{enumerate} and then unpack \code{netcdf-3.6.1-win32dll.zip} into a folder that is available on the system path.
-        We suggest unpacking it into \code{C:$\backslash$bin}.
-      \item The Internet. Install in order:
-        \begin{enumerate}  
-          \item \url{http://www.python.org/download/}. Click on the \code{Python 2.5.x Windows installer} link to get
-            \code{python-2.5.x.msi}. Execute this file to install python.
-          \item \url{http://sourcesup.cru.fr/frs/?group\%5Fid=180}. Download \code{Numeric-23.8.2.win32-py2.5.exe}
-            and execute it to install Numeric Python.
-          \item \url{http://sourcesup.cru.fr/frs/?group\%5Fid=180}. Download \code{ScientificPython-2.X.X.win32-py2.5.exe}
-            and execute it to install Scientific Python.
-          \item \url{http://sourceforge.net/project/showfiles.php?group\%5Fid=2435}. Click on the \code{Download} link for
-            the \code{Automated MinGW Installer}.  Download and execute the file \code{MinGW-5.X.X.exe} to install the MinGW environment.
-            Note that you need a working internet connection to install WinGW.
-          \item \url{http://www.unidata.ucar.edu/software/netcdf/binaries.html}. Click on the 
-            \code{Windows DLL} link in the NetCDF 3.6.1 section.  This will download the file \code{netcdf-3.6.1-win32.zip}.
-            Unpack this in a folder that is available on the system path. 
-            We suggest unpacking it into \code{C:$\backslash$bin}.
-        \end{enumerate}   
-    \end{itemize}   
+          \item MinGW base tools
+          \item g++ compiler
+          \item MinGW Make
+        \end{enumerate}
+        Note that you will need an internet connection for the above install.
+
+      \item Execute \code{numpy-1.3.0-win32-superpack-python2.5.exe} to install numpy.
+
+      \item Execute \code{netCDF_binary_4.0.exe} to install NetCDF.
+
+      \item Execute \code{ScientificPython-2.9.0.win32-py2.5.exe} to install Scientific Python.
   
-  \item Add the following to the PATH environment variable:
-    \begin{verbatim}PATH=C:\Python25;C:\MingW\bin;C:\bin\end{verbatim}
+      \item Execute \code{matplotlib-0.98.5.2.win32-py2.5.exe} to install matplotlib.
+    \end{enumerate}
+  
+  \item Add the following to the end of the PATH environment variable:
+    \begin{verbatim};C:\Python25;C:\MingW\bin;C:\netcdf4\bin\end{verbatim}
     For details on how to do this under Windows please refer to Appendix \ref{sec:setwindowspath}.
-
-    Note that if you have another version of python installed, 2.4  say, you would replace any
-    \code{Python25} above with \code{Python24}.
-    A similar replacement should be made in all following steps wherever you see \code{Python25}.
-
+\end{itemize}  
+
+\subsubsection{ANUGA Installation}
+\label{sec:ANUGA}
+
+\begin{itemize}  
   \item Unpack the ANUGA source code (\code{anuga-1.0_xxxx.tgz})\footnote{Internet Explorer has the habit of renaming the .tgz files to .gz - 
                                                                           the remedy is to rename them back or use another browser such as Firefox.} 
@@ -152,5 +153,5 @@
     \url{http://datamining.anu.edu.au/\%7Eole/anuga/user\%5Fmanual/anuga\%5Fuser\%5Fmanual.pdf})
     and view the resulting \code{.sww} files with the ANUGA viewer.
-\end{enumerate}   
+\end{itemize}   
 
 
@@ -167,25 +168,7 @@
 \label{sec:winvista}
 
-There has been one reported instance of ANUGA being installed successfully on Windows Vista.
-The following steps should be read in conjunction with the windows XP procedures above:
-
-\begin{enumerate}  
-  \item Install \code{python-2.5.msi}.
-  \item Add the directory \code{C:$\backslash$Python25} to the \code{PATH} environment variable (appendix \ref{sec:setwindowspath}).
-  \item Install \code{Numeric-23.8.2.win32-py2.5.exe} (as administrator).
-  \item Install \code{ScientificPython-2.7.8.win32-py2.5.exe} (as administrator).
-  \item Install \code{MinGW-5.1.4.exe} (as administrator). Use the default package selection.  Don't use old packages and let it make fresh downloads.
-  \item Unpack \code{netcdf-3.6.1-beta1-win32dll.zip} into \code{C:$\backslash$bin}.
-  \item Add the directory \code{C:$\backslash$bin} to the \code{PATH} environment variable (appendix \ref{sec:setwindowspath}).
-  \item Install \code{pysco-1.6.win32-py2.5.exe} (as administrator).
-  \item Install \code{matplotlib-0.91.2.win32-py2.5.exe} (as administrator).
-  \item Install \code{numpy-1.1.0-win32-superpack-python2.5.exe} (as administrator).
-  \item Check that the system variable \code{PATH} contains
-        \code{C:$\backslash$Python2.5;C:$\backslash$Python25$\backslash$DLLs;C:$\backslash$bin;C:$\backslash$MinGW$\backslash$bin}
-        (appendix \ref{sec:setwindowspath}).
-  \item Now follow the Windows XP install steps from the ANUGA source code install step.
-\end{enumerate}
-
-Some of the installed packages above are optional and may not be required, but this is the reported working install we have received.
+The installation of the suuport software and the ANUGA software should be the same as for Windows XP above.
+The installation and use of ANUGA under Windows Vista has not been heavily tested.  Feedback on any aspect
+of using ANUGA under Vista is welcomed.
 
 \subsection{Quick install - Linux}
@@ -197,31 +180,93 @@
 The steps below assume that you do not have python installed on the target machine.
 If you do have a python installed already then skip the installation of python as
-long as you have version 2.3 or later.
+long as you have version 2.5 or later.
 
 Note that even if you already have python installed you should still check if things like 
 \code{python-dev} and \code{python-profiler} need to be installed.
 
-\begin{itemize}
-  \item Install support software (in order):
-    \begin{enumerate}  
-      \item Install python development environment, either through Synaptic or by:
-        \begin{verbatim}sudo apt-get install python python-dev python-profiler\end{verbatim}
-      \item Install Numeric Python, either through Synaptic or by:
-        \begin{verbatim}sudo apt-get install python-numeric\end{verbatim}
-      \item Install Scientific Python, either through Synaptic or by:
-        \begin{verbatim}sudo apt-get install python-scientific\end{verbatim}
-      \item Install NetCDF, either through Synaptic or by:
-        \begin{verbatim}sudo apt-get install python-netcdf\end{verbatim}
-      \item Install \code{gcc} and its development environment if you don't have it, either through Synaptic or by:
-        \begin{verbatim}sudo apt-get install gcc libc6-dev\end{verbatim}
-        Ensure that \code{libc6-dev} is installed even if \code{gcc} is already installed.
-    \end{enumerate}   
+\subsubsection{Support Software - Linux 32 bit}
+\label{sec:linux32bit}
+
+Install support software (in order):
+\begin{enumerate}  
+  \item Install the python development environment, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python python-dev python-profiler\end{verbatim}
+    If you already have python 2.5 or later installed, don't include \code{python} above.
+
+  \item Install g++, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install g++\end{verbatim}
+
+  \item Install the numpy package, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python-numpy\end{verbatim}
+
+  \item Install the NetCDF package from the .tar.gz file:
+    \begin{verbatim}tar xzf netcdf.tar.gz
+cd netcdf-4.0.1
+./configure
+make check
+sudo make install
+cd\end{verbatim}
+
+  \item Install the ScientificPython package from the .tar.gz file:
+    \begin{verbatim}tar xzf ScientificPython-2.9.0.tar.gz
+cd ScientificPython-2.9.0
+python setup.py build --numpy
+sudo python setup.py install
+cd\end{verbatim}
+
+  \item Install matplotlib, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python-matplotlib\end{verbatim}
+\end{enumerate}   
+
+\subsubsection{Support Software - Linux 64 bit}
+\label{sec:linux64bit}
+
+Install support software (in order):
+\begin{enumerate}  
+  \item Install the python development environment, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python python-dev python-profiler\end{verbatim}
+    If you already have python 2.5 or later installed, don't include \code{python} above.
+
+  \item Install g++, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install g++\end{verbatim}
+
+  \item Define a CFLAGS value:
+    \begin{verbatim}export CFLAGS=-fPIC\end{verbatim}
+
+  \item Install the numpy package, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python-numpy\end{verbatim}
+
+  \item Install the NetCDF package from the .tar.gz file:
+    \begin{verbatim}tar xzf netcdf.tar.gz
+cd netcdf-4.0.1
+./configure
+make check
+sudo make install
+cd\end{verbatim}
+
+  \item Install the ScientificPython package from the .tar.gz file:
+    \begin{verbatim}tar xzf ScientificPython-2.9.0.tar.gz
+cd ScientificPython-2.9.0
+python setup.py build --numpy
+sudo python setup.py install
+cd\end{verbatim}
+
+  \item Install matplotlib, either through Synaptic or by:
+    \begin{verbatim}sudo apt-get install python-matplotlib\end{verbatim}
+\end{enumerate}   
+
+\subsubsection{ANUGA Installation - 32 or 64 bit}
+\label{sec:ANUGA32-64bit}
+
+\begin{enumerate}  
   \item Get the ANUGA source from \url{http://sourceforge.net/projects/anuga} (\code{anuga-1.0_5789.tgz} say),
     and expand it into the python site-packages directory \code{/usr/lib/python2.5/site-packages}.
     In the unpacked ANUGA directory \code{/usr/lib/python2.5/site-packages/anuga} run the command:
     \begin{verbatim}sudo python compile_all.py\end{verbatim}
+
   \item In the ANUGA root directory (\code{/usr/lib/python2.5/site-packages/anuga})
     run the test suite:
     \begin{verbatim}python test_all.py\end{verbatim} ANUGA has been succesfully installed if the tests pass.
+
   \item To verify that ANUGA succesfully reproduces a series of validation examples, go
     to the directory
@@ -231,22 +276,19 @@
     \begin{verbatim}python validate_all.py\end{verbatim}
     This may take some time.
-
-\end{itemize}
+\end{enumerate}
 
 \section{Optional but recommended software}
 This software is not required to run the ANUGA toolbox, but it is recommended.
 \begin{itemize}
-  \item psyco. Speeds up ANUGA by about 30\%. Under Ubuntu install either through Synaptic or by:
+  \item psyco. Speeds up ANUGA by about 30\%, so is strongly recommended.
+    Under Ubuntu install either through Synaptic or by:
     \begin{verbatim}sudo apt-get install python-psyco\end{verbatim}
     Under Windows install the file \code{psyco-1.6.win32-py25.exe}
-    which you can find from the \url{http://psyco.sourceforge.net/download.html} page.
-  \item matplotlib. For quality 2d plotting (moving towards mandatory requirement). Under Ubuntu install either through Synaptic or by:
-    \begin{verbatim}sudo apt-get install python-matplotlib\end{verbatim}
-    Under Windows install the file \code{matplotlib-0.98.3.win32-py2.5.exe}
-    which you can find from the \url{http://sourceforge.net/projects/matplotlib} page.
+    which you can find on the \url{http://psyco.sourceforge.net/download.html} page.
+
   \item VTK. The Visualization Toolkit. Under Ubuntu install either through Synaptic or by:
     \begin{verbatim}sudo apt-get install python-vtk\end{verbatim}
-    Under Windows install the file \code{vtk-5.2.0-win32.exe}
-    from the \url{http://www.vtk.org/get-software.php} page.
+    Under Windows install the file \code{vtk-5.4.2-win32.exe}
+    from the \url{http://www.vtk.org/VTK/resources/software.html} page.
 \end{itemize}
 