Index: DVD_images/extra_files/GoldCoast/index.html
===================================================================
--- DVD_images/extra_files/GoldCoast/index.html	(revision 7265)
+++ DVD_images/extra_files/GoldCoast/index.html	(revision 7300)
@@ -21,22 +21,12 @@
   </table>
   <hr>
-<!--
-  <ul class="navbar">
-    <li><a href="#introduction">Introduction</a>
-    <li><a href="#installing">Installing</a>
-    <li><a href="#simulating">Running</a>
-    <li><a href="#userslist">Mailing list</a>
-    <li><a href="#auxscripts">Auxiliary scripts</a>
-    <li><a href="#FAQ">Frequently Asked Questions</a>
-    <li><a href="#extra">Extra stuff</a>
-  </ul>
--->
 
   <a name="introduction"><h3><b>Introduction</b></h3></a>
+
   The information on this DVD and the associated report is intended to assist emergency managers in developing preparation and
   response plans that can be used during a tsunami threat or emergency.
   <p>
   The Attorney General's Department (AGD) has supported Geoscience Australia (GA) in developing a range of products to support
-  the understanding of tsunami hazard through the Australian Tsunami Warning System Project. The work reported here is intended
+  the understanding of tsunami hazard through the Australian Probabilistic Tsunami Warning System Project. The work reported here is intended
   to further build the capacity of the Jurisdictions in developing inundation models for prioritised locations. 
   <p>
@@ -44,147 +34,30 @@
   software necessary to reproduce and potentially augment the models underpinning the report. This will allow the Jurisdiction
   to rerun the models with minor modifications or new elevation data as needed and also potentially replicate the methodology
-  to other locations if desired.  
+  to other locations within the model extent, if desired.  
   <p>
   The data provided on this DVD is:
   <ul>
-    <li> The Professional Opinion Report 2009/XX entitled <i>Capacity Building for Tsunami Planning and Preparation: 
-         Inundation Models for Four East Coast Australian Communities</i>
-    <li> Elevation data used with the tsunami inundation model
-    <li> Input data for a range of tsunami events
+    <li> The Professional Opinion Report 2009/XX entitled <blink><i><a href="documents/not_there.pdf">Capacity Building for Tsunami Planning and Preparation: 
+         Inundation Models for Four East Coast Australian Communities</a> <b><font color="red">UNFINISHED</font></b></i></blink>
+    <li>  <a href="documents/Figures">Figures</a> of maximum inundation and maximum speed
+    <li> Generated <a href="data/queensland/gold_coast_tsunami_scenario_2009/anuga/outputs">Arc grids</a> of maximum inundation and maximum speed for the areas of interest
+    <li> Generated <a href="data/queensland/gold_coast_tsunami_scenario_2009/anuga/outputs">timeseries</a> from the models 
+    <li> Combined <a href="data/queensland/gold_coast_tsunami_scenario_2009/anuga/topographies">elevation data</a> used by the simulation
+    <li> The <a href="data/queensland/gold_coast_tsunami_scenario_2009/anuga/outputs/elevation">Arc grid</a> of the resulting elevation generated by ANUGA
     <li> The Python scripts used to run the models
   </ul>
+  <p>
+  The tsunami wave data on this disk are all derived from events available in the Australian Tsunami
+  Hazard Map. As this dataset is very large, this DVD only contains the events
+  described in the report.
 
-  <a name="requirements"><h3><b>Requirements</b></h3></a>
+  <a name="requirements"><h3><b>Report Figures</b></h3></a>
 
-  The tsunami inundation simulations are based on the Open Source software package called ANUGA.
-  For more information about ANUGA visit <a href="https://datamining.anu.edu.au/anuga">https://datamining.anu.edu.au/anuga</a>. 
-  <p>
-  ANUGA has been developed and tested under the Windows XP and Linux (Ubuntu, Mint and Red Hat) operating systems.  
-  ANUGA may also be installed on a Windows Vista system and Debian Linux, but these have not been extensively tested.
-  <p>
-  The ANUGA scripts on this DVD require a minimum of 3GB of memory and possibly more, if mesh resolutions are increased. For this reason
-  we recommend using 64 bit Ubuntu Linux as this operating system can use more than 3GB of memory, whereas Windows XP cannot.
+  The figures from the report may be found <a href="documents/Figures">here</a>.
 
-  <a name="installing"><h3><b>Installing ANUGA</b></h3></a>
+  <a name="installation"><h3><b>Simulation Installation and Usage</b></h3></a>
 
-  You must install ANUGA according to the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
-  As the installation procedure comprises a number of steps we suggest that it is carried out by someone with a
-  basic understanding of how to install software packages on the operating system of choice. 
+  Information for installing and using the simulation is <a href="installation.html">here</a>.
 
-  <a name="simulating"><h3><b>How to run a simulation</b></h3></a>
-
-  This is how a user should run the model on this DVD.
-  We assume that you are using Windows and will give examples for that operating system.
-  The translation to Linux is left as an exercise for the student!
-  <p>
-  <hr align="left" width="100">
-  <p>
-  First, it is assumed you have installed the ANUGA software according to the
-  <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
-  <p>
-  <hr align="left" width="100">
-  <p>
-  Next, you must copy the entire contents of the DVD to a place in your filesystem. Let's assume
-  that you want to put the data into <b>C:\ANUGA</b>. You would do this in a Command Prompt window:
-  <table class="code"><tr><td>
-    C:<br>
-    cd \<br>
-    mkdir ANUGA<br>
-    xcopy /e X:\ ANUGA
-  </td></tr></table>
-  <p>
-  Of course, you could just drag all files on the DVD (X:\ is the assumed drive letter) to the desired target directory with Explorer.
-  <p>
-  <hr align="left" width="100">
-  <p>
-  Now you must create an environment variable <b>ANUGADATA</b> that points to the directory you just created:
-  <table class="code"><tr><td>
-    set ANUGADATA=C:\ANUGA
-  </td></tr></table>
-  <p>
-  Doing the above in a Command Prompt window is temporary - if you open another
-  window you will not have the ANUGADATA environment variable defined. To make
-  the variable permanent you must set it in the <b>Start|Settings|Control Panel|System</b>
-  tool (<b>Advanced</b> tab).  See the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>
-  if you don't know how to do this.
-  <p>
-  <hr align="left" width="100">
-  <p>
-  At this point you should run the <font color="red">build_elevation.py</font>
-  script to convert the raw elevation data to a set of 'combined_elevation'
-  files ready to be used by the ANUGA system. It is possible that you have not
-  been given the elevation data on the DVD as it is too large. In that case you
-  cannot run the <font color="red">build_elevation.py</font> script and you
-  should skip to the next step.
-  <table class="code"><tr><td>
-    cd C:\ANUGA<br>
-    cd project<br>
-    python build_elevation.py
-  </td></tr></table>
-  <p>
-  When you get to the point of running the model with your own data, you must
-  run <font color="red">build_elevation.py</font> to recreate the combined elevation files every time
-  you change the elevation data.
-  <p>
-  <hr align="left" width="100">
-  <p>
-  Next, you prepare and execute the model:
-  <table class="code"><tr><td>
-    python setup_model.py<br >
-    python run_model.py
-  </td></tr></table>
-  <p>
-  <hr align="left" width="100">
-  <p>
-  This should all run to completion, though it may take several days, depending on
-  the hardware used.
-  <p>
-  If you do get an error from <font color="red">setup_model.py</font>
-  or <font color="red">run_model.py</font> look for some explanation in the log
-  files, which you should find somewhere under <b>C:\ANUGA\data</b>. Just keep
-  drilling down from that point until you find a directory called <b>outputs</b>.
-  The latest directory in <b>outputs</b> should contain a file called <font color="red">screen_error.txt</font>
-  with an explanation of the error at the end. 
-  <p>
-  Once the simulation has completed you may view the results using the ANUGA
-  viewer as described in the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a> 
-  and <a href="documents/anuga_user_manual.pdf">User Manual</a>, run the script
-  <font color="red">export_results_max.py</font> to generate rasters suitable
-  for GIS mapping, or write dedicated scripts extracting timeseries at selected
-  locations.
-  <p>
-  The input waves are all derived from events available in the Australian Tsunami
-  Hazard Map. As this dataset is very large, this DVD only contains the events
-  described in the report. If other events from the Hazard Map are obtained,
-  the script <font color="red">build_urs_boundary.py</font> has been designed
-  to prepare the associated input wave for ingestion into ANUGA.  This script
-  is documented in the <a href="documents/anuga_user_manual.pdf">User Manual</a>.
-  <p>
-  The ANUGA <a href="documents/anuga_user_manual.pdf">User Manual</a> describes
-  how to use the ANUGA system in general and provides some examples of its use.
-
-  <a name="userslist"><h3><b>How to join the ANUGA user's mailing list</b></h3></a>
-
-  One of the quickest ways to get your ANUGA questions answered is by asking them on the <b>ANUGA-user</b> mailing list.
-  You can subscribe to the list <a href="https://lists.sourceforge.net/lists/listinfo/anuga-user">here</a>
-  and can view the mailing list <a href="https://sourceforge.net/mailarchive/forum.php?forum_name=anuga-user">archives</a>.
-  <p>
-  It costs nothing to register and you can choose to have list mail sent to you as individual emails or have them batched
-  into a few emails per day.  You can unsubscribe at any time through the subscribe link above.
-
-  <a name="auxscripts"><h3><b>How to use the auxiliary scripts</b></h3></a>
-
-  On this disk there are a selection of auxiliary scripts that you can use to extract various pieces of information
-  from the generated SWW files.  The <a href="auxiliary_scripts.html">auxiliary scripts</a> page explains how to use the scripts.
-
-  <a name="FAQ"><h3><b>Frequently Asked Questions</b></h3></a>
-
-  There is a <b>Frequently Asked Questions</b> (FAQ) page at
-  <a href="https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions">https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions</a>.
-  Look in here and search the mailing list archives before asking questions on the ANUGA user's mailing list.
-  Someone may already have asked your question!
-  <p>
-  Note that you can edit the FAQ pages, so it is helpful if you can update the FAQ with your question and its answer if you feel
-  it would be helpful to others.
 </body>
 </html>
Index: DVD_images/extra_files/GoldCoast/project/project.py
===================================================================
--- DVD_images/extra_files/GoldCoast/project/project.py	(revision 7265)
+++ DVD_images/extra_files/GoldCoast/project/project.py	(revision 7300)
@@ -36,11 +36,28 @@
     event_number = 51469    # the event number or the mux file name
 
-event_number_list = [51469, 50863, 51392] # To piggy back multiple events
-
-tide = 0
+event_number_list = [51469, 51392, 50863] # To piggy back multiple events
+
+# Event Details:
+# Event 1 (51469)
+# Source Zone = New Hebrides
+# Return Period = 10 000 years
+# Wave height at 100 m = 2.3 m
+#
+# Event 2 (51392)
+# Source Zone = New Hebrides
+# Return Period = 5000 years
+# Wave height at 100 m = 1.7 m
+#
+# Event 3 (50863)
+# Source Zone = New Hebrides
+# Return Period = 200 years
+# Wave height at 100 m = 0.3 m
+
+tide = 0                # Mean Sea Level = 0,
+                        # Highest Astronomical Tide = 1.1 m for Gold Coast                        
 alpha = 0.1             # smoothing parameter for mesh
-friction=0.01           # manning's friction coefficient
-starttime=0             # start time for simulation
-finaltime=80000         # final time for simulation
+friction = 0.01           # manning's friction coefficient
+starttime = 0             # start time for simulation
+finaltime = 80000         # final time for simulation
 
 setup = 'final'         # This can be one of three values
@@ -60,5 +77,5 @@
 #-------------------------------------------------------------------------------
 
-output_comment = [setup, tide, '250m', event_number]
+output_comment = [setup, tide, event_number]
 
 #-------------------------------------------------------------------------------
@@ -69,19 +86,13 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = ['grid250m_all_pro'] # 2005 250m grid
-##                      ['GC_DTM_30m']] # supplied DEM
+ascii_grid_filenames = []
 
 # Format for point is x,y,elevation (with header)
 point_filenames = []
-
-### Add csv header list to all files in point_filenames
-##headerlist = ['x', 'y', 'elevation'] 
-##for f in point_filenames:
-##    add_csv_header(join(topographies_folder, f), headerlist)
 
 # BOUNDING POLYGON - for data clipping and estimate of triangles in mesh
 # Used in build_elevation.py
 # Format for points easting,northing (no header)
-bounding_polygon_filename = 'bounding_polygon_sml.csv'
+bounding_polygon_filename = 'bounding_polygon.csv'
 bounding_polygon_maxarea = 125000
 
@@ -89,9 +100,10 @@
 # Used in run_model.py
 # Format for points easting,northing (no header)                    
-interior_regions_data = []
+interior_regions_data = [['area_of_interest.csv', 500],
+                         ['intermediate.csv', 25000]]
 
 # LAND - used to set the initial stage/water to be offcoast only
 # Used in run_model.py.  Format for points easting,northing (no header)
-land_initial_conditions_filename = [['initial_conditions_sml.csv', 0]]
+land_initial_conditions_filename = [['initial_conditions.csv', 0]]
 
 # GAUGES - for creating timeseries at a specific point
@@ -103,5 +115,5 @@
 # Used in run_building_inundation.py
 # Format latitude,longitude etc (geographic)
-building_exposure_filename = 'gold_coast_res_clip.csv' # from NEXIS
+building_exposure_filename = '' # from NEXIS
 
 # AREA OF IMAGES - Extent of each image to find out highest runup
@@ -118,9 +130,9 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'urs_order_sml.csv'
+urs_order_filename = 'urs_order.csv'
 
 # Landward bounding points
 # Format easting,northing (no header)
-landward_boundary_filename = 'landward_boundary_sml.csv'
+landward_boundary_filename = 'landward_boundary.csv'
 
 # MUX input filename.
@@ -138,15 +150,6 @@
 #-------------------------------------------------------------------------------
 
-# ASCII export grid for Gold Coast
-xminGold_Coast = 541500
-xmaxGold_Coast = 546000
-yminGold_Coast = 6893500
-ymaxGold_Coast = 6898500
-
-# ASCII export grid for dune study
-xminDune = 536710
-xmaxDune = 556150
-yminDune = 6881125
-ymaxDune = 6926860
+
+
 
 ################################################################################
@@ -172,5 +175,5 @@
 # Output filename for elevation
 # this is a combination of all the data generated in build_elevation.py
-combined_elevation_basename = scenario_name + '_combined_elevation_250m'
+combined_elevation_basename = scenario_name + '_combined_elevation'
 
 #-------------------------------------------------------------------------------
@@ -246,5 +249,3 @@
     images = join(polygons_folder, images_filename)
 
-# full path to where MUX files (or meta-files) live
-mux_input = join(event_folder, mux_input_filename)
-
+
Index: DVD_images/extra_files/GoldCoast/project/setup_model.py
===================================================================
--- DVD_images/extra_files/GoldCoast/project/setup_model.py	(revision 7265)
+++ DVD_images/extra_files/GoldCoast/project/setup_model.py	(revision 7300)
@@ -77,11 +77,4 @@
     sanity_error = True
 
-# if multi_mux is True, check if multi-mux file exists
-if project.multi_mux:
-    if not exists(project.mux_input):
-        print ("Sorry, MUX input file '%s' doesn't exist"
-               % project.mux_input)
-        sanity_error = True
-
 #-----
 # If this directory don't exist, EventSelection hasn't been run.