Index: anuga_work/production/australia_ph2/dampier/new/Arc_asc2raster_GDA94z50.py
===================================================================
--- anuga_work/production/australia_ph2/dampier/new/Arc_asc2raster_GDA94z50.py	(revision 7162)
+++ anuga_work/production/australia_ph2/dampier/new/Arc_asc2raster_GDA94z50.py	(revision 7319)
@@ -22,10 +22,12 @@
 gp.overwriteoutput = 0
 
-scenario_dir = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\australia_ph2\\ceduna\\"
+scenario_dir = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\australia_ph2\\dampier\\"
 output_dir="anuga\\outputs\\"
 
-time_dir1 = '20090225_153629_run_final_0_64469_mhingee'
+time_dir1 = '20090615_132815_run_final_30_0_70844_1307_Tb_internal_kvanputt'
+time_dir2 = '20090615_132942_run_final_30_0_27338_1307_Tb_internal_kvanputt'
+time_dir3 = '20090615_133052_run_final_30_0_70337_1307_Tb_internal_kvanputt'
 
-time_dirs = [time_dir1] #, time_dir2] #4, time_dir5] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1, time_dir2, time_dir3] #, time_dir3, time_dir4, time_dir5, time_dir6]
  
 for time_dir in time_dirs:
@@ -46,10 +48,10 @@
     
     #replication dictionary
-    replicate = (('ceduna', ''),('_', ''),
+    replicate = (('dampier', ''),('_', ''),
                  ('depth','_depth'),('speed', '_speed'),
                  ('elevation', '_ele_'), ('stage','_stage'))
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*.asc')
+    input_ascii = glob.glob(folder + '*max.asc')
 
     for infile in input_ascii:
@@ -69,6 +71,6 @@
 
         print 'Process: Define Projection' 
-        gp.DefineProjection_management(output_DEM, "PROJCS['GDA_1994_MGA_Zone_53',GEOGCS['GCS_GDA_1994',DATUM['D_GDA_1994',SPHEROID['GRS_1980',6378137.0,298.257222101]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]"
-                                                   ",PROJECTION['Transverse_Mercator'],PARAMETER['False_Easting',500000.0],PARAMETER['False_Northing',10000000.0],PARAMETER['Central_Meridian',135.0],PARAMETER['Scale_Factor',0.9996]"
+        gp.DefineProjection_management(output_DEM, "PROJCS['GDA_1994_MGA_Zone_50',GEOGCS['GCS_GDA_1994',DATUM['D_GDA_1994',SPHEROID['GRS_1980',6378137.0,298.257222101]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]"
+                                                   ",PROJECTION['Transverse_Mercator'],PARAMETER['False_Easting',500000.0],PARAMETER['False_Northing',10000000.0],PARAMETER['Central_Meridian',117.0],PARAMETER['Scale_Factor',0.9996]"
                                                    ",PARAMETER['Latitude_Of_Origin',0.0],UNIT['Meter',1.0]]")
 ##        output_extract = output_DEM + '_E'
Index: anuga_work/production/australia_ph2/dampier/new/export_results_max.py
===================================================================
--- anuga_work/production/australia_ph2/dampier/new/export_results_max.py	(revision 7162)
+++ anuga_work/production/australia_ph2/dampier/new/export_results_max.py	(revision 7319)
@@ -22,7 +22,7 @@
 directory = project.output_folder
 
-time_dir1 = '20090415_124319_run_final_0_70844_1307_Tb__kvanputt'
-time_dir2 = '20090416_072538_run_final_0_27338_1307_Tb__kvanputt'
-time_dir3 = '20090417_021634_run_final_0_70337_1307_Tb__kvanputt'
+time_dir1 = '20090615_132815_run_final_30_0_70844_1307_Tb_internal_kvanputt'
+time_dir2 = '20090615_132942_run_final_30_0_27338_1307_Tb_internal_kvanputt'
+time_dir3 = '20090615_133052_run_final_30_0_70337_1307_Tb_internal_kvanputt'
 
 time_dirs = [time_dir1, time_dir2, time_dir3]
@@ -82,8 +82,11 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-            name2 = join(directory, time_dir, project.scenario_name)+'_time_22740_0'
-            name3 = join(directory, time_dir, project.scenario_name)+'_time_45480_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_11220_0'
+            name3 = join(directory, time_dir, project.scenario_name)+'_time_22440_0'
+            name4 = join(directory, time_dir, project.scenario_name)+'_time_33660_0'
+            name5 = join(directory, time_dir, project.scenario_name)+'_time_44880_0'
+            name6 = join(directory, time_dir, project.scenario_name)+'_time_56100_0'
             
-            names = [name1, name2, name3]
+            names = [name1, name2, name3, name4, name5, name6]
 
             asc_name = []   
Index: anuga_work/production/australia_ph2/dampier/new/project.py
===================================================================
--- anuga_work/production/australia_ph2/dampier/new/project.py	(revision 7162)
+++ anuga_work/production/australia_ph2/dampier/new/project.py	(revision 7319)
@@ -32,5 +32,5 @@
     event_number = int(sys.argv[1])
 else:    
-    event_number = 70844    # the event number or the mux file name
+    event_number = 70337    # the event number or the mux file name
 
 event_number_list = [70844, 27338, 70337] # To piggy back multiple events
@@ -41,6 +41,6 @@
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=60000   #60000 # final time for simulation
-setup = 'final'         # This can be one of three values
+finaltime=60000         # final time for simulation
+setup = 'final_30'      # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
Index: anuga_work/production/australia_ph2/dampier/new/setup_model.py
===================================================================
--- anuga_work/production/australia_ph2/dampier/new/setup_model.py	(revision 7162)
+++ anuga_work/production/australia_ph2/dampier/new/setup_model.py	(revision 7319)
@@ -114,4 +114,10 @@
     project.time_thinning = 4
     project.yieldstep = 60
+elif project.setup == 'final_30': 
+    print 'final'
+    project.scale_factor = 1
+    project.time_thinning = 4
+    project.yieldstep = 30
+
 else:
     print ("Sorry, you must set the 'setup' variable to one of:"