Index: DVD_images/extra_files/BatemansBay/analysis.html
===================================================================
--- DVD_images/extra_files/BatemansBay/analysis.html	(revision 7300)
+++ DVD_images/extra_files/BatemansBay/analysis.html	(revision 7329)
@@ -27,5 +27,5 @@
   from SWW files, but are offered as an example of one way to do it.
   <p>
-  This page describes the scripts and shows how to use them.  Note that due to the ad-hoc nature of the scripts, 
+  This page describes the scripts and shows how to use them.  Note that due to the ad-hoc nature of the scripts,
   you <b>must</b> modify these scripts before they can be used to extract information from any SWW files you
   generate.
@@ -33,47 +33,53 @@
   <a name="export_results_max.py scripts"><h3><b>export_results_max.py</b></h3></a>
   The <font color="red">export_results_max.py</font> script can be used to create an ASC file that contains the maximum
-  of an ANUGA variable or expression for each point in a user-defined raster on the simulation region.
+  of an ANUGA variable or expression for each point in a user-defined ArcGIS grid on the simulation region.
   <p>
   You must change certain values within the <font color="red">export_results_max.py</font> file to get what you want:
   <ul>
-    <li> You must determine how many SWW files your simulation produced and create as many lines like this:
+    <li> List the output folder names here, with one for each simulation you have run:
 <pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
     time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'</font></pre>
-         as necessary.  Then modify the line:
+         For information on  <a href="modifications.html#output">output_folder_name</a>.
+  <p>Then modify the line:
 <pre><font color="brown">    time_dirs = [time_dir1, time_dir2]</font></pre>
          to include each of the variables you defined above.
-         <p>   
-    <li> Your SWW output will have a name like <font color="red">batemans_bay.sww</font>. For a large model you 
+         <p>
+    <li> Your SWW output will have a name like <font color="red">batemans_bay.sww</font>. For a large model you
          may have more than one output file with extra filenames like <font color="red">batemans_bay_37860_0.sww</font>,
-         where the <b>37860</b> tells us that the timestep at the start of this file is 37860 sec. The  
+         where the <b>37860</b> tells us that the timestep at the start of this file is 37860 sec. The
          <font color="red">export_results_max.py</font> script needs to examine all SWW output files, so we specify
          all the files produced by the model run to create a maximum over the entire time.
-         We do this by specifying the start times of all the extra SWW files: 
-         <p>	
-<pre><font color="brown">    times = [37860]</font></pre>
+         We do this by specifying the start times of all the extra SWW files:
          <p>
-         Note we do not have to specify the first SWW file, only the extra file start times. If there are no extra SWW files,
-         just do:
-         <p>	
+<pre><font color="brown">    times = [37860] <font color="black"> or </font>
+    times = [20000, 40000, 60000]</font></pre>
+         <p>
+         <i>Note we do not have to specify the first SWW file, only the extra file start times. If there are no extra SWW files,
+         just do:</i>
+         <p>
 <pre><font color="brown">    times = []</font></pre>
          <p>
-    <li> Modify the <b>cellsize</b> value to set the size of the raster you require.  For example:
-<pre><font color="brown">    cellsize = 20		# raster cell size in metres</font></pre>
-         <p>	
-    <li> You can get the maximum of a variable or expression over the entire model time, or for a single time in the simulation. 
+    <li> Modify the <b>cellsize</b> value to set the size of the ArcGIS grid you require.  For example:
+<pre><font color="brown">    cellsize = 20		# ArcGIS grid cell size in metres</font></pre>
+         <p>
+         <i>Note: That this value should not go beyond the most refined part of the mesh
+         i.e. if mesh resolution is 500m<sup>2</sup>, cellsize = (500 </i>x<i> 2)<sup>1/2</sup> = 32m</i>
+         <p>
+    <li> You can get the maximum of a variable or expression over the entire model time, or for a single time in the simulation.
          Set <b>timestep</b> to the required time you want the maximum for, or set it to <b>None</b> to indicate that you want
-         the maximum values in the raster over all timesteps:
+         the maximum values over all timesteps:
 <pre><font color="brown">    timestep = None  # over all timesteps
     #timestep = 0</font></pre>
-         <p>         
-         Note that if you want the elevation use <b>timestep = 0</b>. Elevation does not change over time and you only need the 
-         first SWW file.		
          <p>
-    <li> If you want to clip the raster to one or more small regions then put the names of the regions of interest
+         <i>Note that if you want the elevation use <b>timestep = 0</b>. Elevation does not change over time and you only need the
+         first SWW file.</i>
+         <p>
+    <li> If you want to clip the ArcGIS grid to one or more small regions then put the names of the regions of interest
          into the <b>area</b> list:
 <pre><font color="brown">    area = ['Batemans_Bay', 'NW', 'South']</font></pre>
-         Note that the name strings you put into the <b>area</b> list must match the names used in the
+         <p>
+         <i>Note that the name strings you put into the <b>area</b> list must match the names used in the
          <font color="red">project.py</font> file.  That is, if you use a name such as 'NW', then the
-         <font color="red">project.py</font> file must have lines like:
+         <font color="red">project.py</font> file must have lines like:</i>
 <pre><font color="brown">    xminNW = 548000
     xmaxNW = 561000
@@ -85,9 +91,9 @@
 <pre><font color="brown">    area = ['All']		# no region of interest</font></pre>
          <p>
-    <li> Finally you must decide which variable or expression values you want sampled on your raster.
+    <li> Finally you must decide which variable or expression values you want sampled on your ArcGIS grid.
          Define a list <b>var</b> that contains strings defining the required variable or expression:
 <pre><font color="brown">    var = ['depth', 'speed']</font></pre>
-         Note that the strings you supply must be defined in the <b>var_equations</b> dictionary
-         prior to your definition of <b>var</b>:
+         <i>Note that the strings you supply must be defined in the <b>var_equations</b> dictionary
+         prior to your definition of <b>var</b>:</i>
 <pre><font color="brown">    var_equations = {'stage':     'stage',
                      'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
@@ -100,9 +106,9 @@
   <a name="get_timeseries.py"><h3><b>get_timeseries.py</b></h3></a>
   The <font color="red">get_timeseries.py</font> script is used to get timeseries data for a selection of variable
-  data at one or more gauge points in a simulation.
+  data at one or more timeseries gauge points in a simulation.
   <p>
   You must change certain values within the <font color="red">get_timeseries.py</font> file to get what you want:
   <ul>
-    <li> You must determine how many SWW files your simulation produced and create as many lines like this:
+    <li> Depending on how many simulations you have run will determine the number of output folder names you insert here:
 <pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
     time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'</font></pre>
@@ -111,5 +117,5 @@
          to include each of the variables you defined above.
          <p>
-    <li> Make sure that the <b>gauges</b> list in <font color="red">projects.py</font> contains one or more CSV files
+    <li> Make sure that the <b>gauges</b> list specified in <font color="red">projects.py</font> contains one or more CSV files
          defining the gauges within the simulation that you want the timeseries data for.
          The gauge file must have this format: