Index: DVD_images/extra_files/Hobart/installation.html
===================================================================
--- DVD_images/extra_files/Hobart/installation.html	(revision 7301)
+++ DVD_images/extra_files/Hobart/installation.html	(revision 7331)
@@ -16,5 +16,5 @@
       </td>
       <td>
-        <H1>Tsunami Inundation Models for the HOBART region</H1>
+        <H1>Tsunami Inundation Models for south east Tasmania</H1>
       </td>
     </tr>
@@ -31,7 +31,7 @@
 
   The tsunami inundation simulations are based on the Open Source software package called ANUGA.
-  For more information about ANUGA visit <a href="https://datamining.anu.edu.au/anuga">https://datamining.anu.edu.au/anuga</a>. 
+  For more information about ANUGA visit <a href="https://datamining.anu.edu.au/anuga">https://datamining.anu.edu.au/anuga</a>.
   <p>
-  ANUGA has been developed and tested under the Windows XP and Linux (Ubuntu, Mint and Red Hat) operating systems.  
+  ANUGA has been developed and tested under the Windows XP and Linux (Ubuntu, Mint and Red Hat) operating systems.
   ANUGA may also be installed on a Windows Vista system and Debian Linux, but these have not been extensively tested.
   <p>
@@ -40,8 +40,10 @@
 
   <a name="installing"><h3><b>Installing ANUGA</b></h3></a>
-
+  <a href="http://sourceforge.net/projects/anuga/">Download Software</a><i>: please note Internet Explorer has the habit of renaming the
+  .tgz file to .gz - the remedy is to rename them back or use another browser such as Firefox.</i>
+  <p>
   You must install ANUGA according to the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
   As the installation procedure comprises a number of steps we suggest that it is carried out by someone with a
-  basic understanding of how to install software packages on the operating system of choice. 
+  basic understanding of how to install software packages on the operating system of choice.
 
   <a name="simulating"><h3><b>How to run a simulation</b></h3></a>
@@ -52,5 +54,5 @@
   can be used to get help.
   <p>
-  
+
   <p>
   <hr align="left" width="100">
@@ -61,22 +63,21 @@
   <hr align="left" width="100">
   <p>
-  Next, you must copy the entire contents of the DVD to a place in your filesystem. Let's assume
-  that you want to put the data into <b>C:\ANUGA</b>. You would do this in a Command Prompt window:
-  <table class="code"><tr><td>
-    C:<br>
-    cd \<br>
-    mkdir ANUGA<br>
+  Next, you must copy the entire contents of the DVD to a place in your file system. Let's assume
+  that you want to put the data into <b>C:\ANUGA</b>. You could drag all files from the DVD into this folder with Explorer.
+  Or through the Command Prompt window:
+  <pre><font color="brown">
+    C:
+    cd
+    mkdir ANUGA
     xcopy /e X:\ ANUGA
-  </td></tr></table>
-  <p>
-  Of course, you could just drag all files on the DVD (X:\ is the assumed drive letter) to the desired target directory with Explorer.
+  </font></pre>
+  X:\ is the assumed to be the CD drive letter.
   <p>
   <hr align="left" width="100">
   <p>
   Now you must create an environment variable <b>ANUGADATA</b> that points to the directory you just created:
-  <table class="code"><tr><td>
+  <pre><font color="brown">
     set ANUGADATA=C:\ANUGA
-  </td></tr></table>
-  <p>
+  </font></pre>
   Doing the above in a Command Prompt window is temporary - if you open another
   window you will not have the ANUGADATA environment variable defined. To make
@@ -84,17 +85,13 @@
   tool (<b>Advanced</b> tab).  See the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>
   if you don't know how to do this.
-  <p>
   <hr align="left" width="100">
-  <p>
   Next, you prepare and execute the model:
-  <table class="code"><tr><td>
-    cd C:\ANUGA<br>
-    cd project<br>
-    python setup_model.py<br >
+  <pre><font color="brown">
+    cd C:\ANUGA
+    cd project
+    python setup_model.py
     python run_model.py
-  </td></tr></table>
-  <p>
+  </font></pre>
   <hr align="left" width="100">
-  <p>
   This should all run to completion though it may take several days, depending on
   the hardware used.
@@ -105,8 +102,8 @@
   drilling down from that point until you find a directory called <b>outputs</b>.
   The latest directory in <b>outputs</b> should contain a file called <font color="red">screen_error.txt</font>
-  with an explanation of the error at the end. 
+  with an explanation of the error at the end.
   <p>
   Once the simulation has completed you may view the results using the ANUGA
-  viewer as described in the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a> 
+  viewer as described in the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>
   and <a href="documents/anuga_user_manual.pdf">User Manual</a>.  You may also
   generate rasters suitable for GIS mapping or write dedicated scripts extracting timeseries at selected
@@ -120,5 +117,5 @@
   After you have run a simulation you may wish to extract information from the generated SWW file.
   On this disk there are a selection of example analysis scripts that you can use or modify.
-  The <a href="analysis.html">analysis scripts</a> page explains how to use the scripts.
+  The <a href="analysis.html">analysis</a> page explains how to use the scripts.
 
   <a name="modifications"><h3><b>How to modify a simulation</b></h3></a>
@@ -138,8 +135,6 @@
   <a name="FAQ"><h3><b>Frequently Asked Questions</b></h3></a>
 
-  There is a <b>Frequently Asked Questions</b> (FAQ) page at
-  <a href="https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions">https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions</a>.
-  Look in there and search the mailing list archives before asking questions on the ANUGA user's mailing list.
-  Someone may already have asked your question!
+  Look in <b><a href="https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions">Frequently Asked Questions</a></b> (FAQ) and search the mailing list archives before asking questions on the ANUGA user's mailing list.
+  Someone may already have asked and answered your question!
   <p>
   Note that you can edit the FAQ pages, so it is helpful if you can update the FAQ with your question and its answer if you feel