Index: /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py	(revision 7354)
+++ /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py	(revision 7355)
@@ -30,17 +30,10 @@
 output_folder = scenario_folder + "anuga\\outputs\\"
 
-##time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
-##time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
-##time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-##time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-##time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-##time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
-##
-##time_dirs = [time_dir1, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dir1 = '20090714_162136_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090714_162041_run_final_0.8_58292_None_kvanputt'
+time_dir3 = '20090714_161944_run_final_0.8_58280_None_kvanputt'
+time_dir4 = '20090714_161740_run_final_0.8_58260_None_kvanputt'
 
-time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
-time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
-
-time_dirs = [time_dir1, time_dir2]
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4]
 
 for time_dir in time_dirs:
Index: /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py	(revision 7354)
+++ /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py	(revision 7355)
@@ -20,12 +20,10 @@
 output_folder = "anuga\\outputs\\"
 
-time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
-time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+time_dir1 = '20090714_162136_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090714_162041_run_final_0.8_58292_None_kvanputt'
+time_dir3 = '20090714_161944_run_final_0.8_58280_None_kvanputt'
+time_dir4 = '20090714_161740_run_final_0.8_58260_None_kvanputt'
 
-time_dirs = [time_dir1, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4]
 
 for time_dir in time_dirs:
@@ -33,11 +31,11 @@
     # Local variables...
     folder =  scenario_folder + output_folder + time_dir + '\\'
-    runup = model + '_runup'
-    input_dir_name = folder+ runup +'.csv'
+    runup = model + '_runup.csv'
+    input_dir_name = folder+ runup
     raster = folder + "raster.gdb"
     layer = 'layer'
 
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     print 'Process: Make XY Event Layer'
@@ -50,5 +48,7 @@
 
     print 'Process: Feature Class to Feature Class'
-    gp.FeatureClassToFeatureClass_conversion(layer, raster, runup, "", "area area true true false 255 Text 0 0 ,First,#,carnarvon_runup.csv_Features,area,-1,-1;q q true true false 8 Double 0 0 ,First,#,carnarvon_runup.csv_Features,q,-1,-1;x x true true false 8 Double 0 0 ,First,#,carnarvon_runup.csv_Features,x,-1,-1;y y true true false 8 Double 0 0 ,First,#,carnarvon_runup.csv_Features,y,-1,-1", "")
+    gp.FeatureClassToFeatureClass_conversion(layer, raster, runup[:-4], "", "area area true true false 255 Text 0 0 ,First,#," +str(runup)+"_Features,area,-1,-1;q q true true false 8 Double 0 0 ,First,#,"
+                                             +str(runup)+"_Features,q,-1,-1;x x true true false 8 Double 0 0 ,First,#," +str(runup)+"_Features,x,-1,-1;y y true true false 8 Double 0 0 ,First,#,"
+                                             +str(runup)+"_Features,y,-1,-1", "")
 
 
Index: /anuga_work/production/hobart_2009/combine_gauges.py
===================================================================
--- /anuga_work/production/hobart_2009/combine_gauges.py	(revision 7354)
+++ /anuga_work/production/hobart_2009/combine_gauges.py	(revision 7355)
@@ -12,12 +12,12 @@
 directory = project.output_folder
 
-time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+time_dir1 = 'Event1_MSL'
+time_dir2 = 'Event2_MSL'
+time_dir3 = '20090714_161944_run_final_0.8_58280_None_kvanputt'
+time_dir4 = '20090714_161740_run_final_0.8_58260_None_kvanputt'
+time_dir5 = '20090619_165107_run_final_0_58260_None_kvanputt'
+time_dir6 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
 
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1, time_dir2] #, time_dir3, time_dir4]  
 
 data = 'stage'
Index: /anuga_work/production/hobart_2009/export_results_max.py
===================================================================
--- /anuga_work/production/hobart_2009/export_results_max.py	(revision 7354)
+++ /anuga_work/production/hobart_2009/export_results_max.py	(revision 7355)
@@ -21,22 +21,32 @@
 
 directory = project.output_folder
-time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
-time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
+time_dir1 = '20090714_162136_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090714_162041_run_final_0.8_58292_None_kvanputt'
+time_dir3 = '20090714_161944_run_final_0.8_58280_None_kvanputt'
+time_dir4 = '20090714_161740_run_final_0.8_58260_None_kvanputt'
 
-time_dirs = [time_dir1, time_dir2] #, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
-  
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4]  
 
-#cellsize = 250
-cellsize = 20
+# sww filename extensions ie. hobart_time_17640_0.sww, input into list 17640
+# make sure numbers are in sequential order
+times = [16980, 33960, 50940]
+            
+#Modify the cellsize value to set the size of the raster you require
+#Take into account mesh size when aplying this paramater
+cellsize = 20 #250
 
-timestep = None    # None means no timestep!
-#timestep = 0
+#Now set the timestep at which you want the raster generated.
+#Either set the actual timestep required or use 'None' to indicate that
+#you want the maximum values in the raster over all timesteps
+timestep = None   #0 
 
-######
 # Set the special areas of interest.  If none, do: area=['All']
-######
+# Areas identified below are specified by cooridinates in project.py  
 
-area = ['Hobart', 'NW', 'South']  
-#area = ['All']      # 'All' means no special areas - the whole thing
+area = ['South', 'NW', 'Hobart'] 
+#area = ['All']      
+
+# one or more key strings from var_equations below
+var = ['depth']
 
 ######
@@ -50,9 +60,8 @@
                  'elevation': 'elevation' }
 
-# one or more key strings from var_equations above
-var = ['depth', 'speed']
 
 ######
-# Start running the various conversions we require.
+# Start script, running through variables, area, folder, sww file (determine by times)
+# Then creates a maximum asci if there is more than one sww file
 ######
 
@@ -79,19 +88,16 @@
 
         for time_dir in time_dirs:
-            name1 = join(directory, time_dir, project.scenario_name)
-            name2 = join(directory, time_dir, project.scenario_name)+'_time_17640_0'
-##            name3 = join(directory, time_dir, project.scenario_name)+'_time_33960_0'
-##            name4 = join(directory, time_dir, project.scenario_name)+'_time_50940_0'
+            names = [join(directory, time_dir, project.scenario_name)]
+            for time in times:
+                names.append(join(directory, time_dir, project.scenario_name)+ '_time_' + str(time) + '_0')
             
-            names = [name1, name2] #, name3, name4]
-      
             asc_name = []   
-               
+            print 'start sww2dem: time_dir = %s' % time_dir               
             for name in names:
-                         
+
                 outname = name + '_' + which_area + '_' + which_var
                 quantityname = var_equations[which_var]
 
-                print 'start sww2dem: time_dir=%s' % time_dir
+                print 'start sww2dem: name = %s' % os.path.basename(name)
                 
                 sww2dem(name, basename_out = outname,
@@ -108,9 +114,15 @@
 
                 asc_name.append(outname + '.asc')
-    
-            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-
-            print 'max asc outname ', maxasc_outname
-            print 'asc_name ', str(asc_name)
-            
-            MaxAsc(maxasc_outname, asc_name)
+            #print 'list = %s' % asc_name
+            #print 'max asc outname ', maxasc_outname
+            #print 'name=%s' % name
+            print 'which area=%s' % which_area
+            print 'which var=%s' % which_var
+            #print 'asc_name ', str(asc_name)
+            if times == []:     
+                print 'Only one sww file, no Max file required'
+            else:
+                print 'Multiple sww files'
+                maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+                print 'maxasc_outname = ', maxasc_outname
+                MaxAsc(maxasc_outname, asc_name)
Index: /anuga_work/production/hobart_2009/project.py
===================================================================
--- /anuga_work/production/hobart_2009/project.py	(revision 7354)
+++ /anuga_work/production/hobart_2009/project.py	(revision 7355)
@@ -32,5 +32,5 @@
 # Model specific parameters.
 # One or all can be changed each time the run_model script is executed
-tide = 0.8                # difference between MSL and HAT in metres
+tide = 0                # difference between MSL and HAT in metres
 zone = 55               # specify UTM zone of model
 event_number = 58260    # 58280, 64477 the event number or the mux file name
Index: /anuga_work/production/hobart_2009/run_model.py
===================================================================
--- /anuga_work/production/hobart_2009/run_model.py	(revision 7354)
+++ /anuga_work/production/hobart_2009/run_model.py	(revision 7355)
@@ -137,9 +137,8 @@
 Br = Reflective_boundary(domain)
 Bt = Transmissive_stage_zero_momentum_boundary(domain)
-Bd = Dirichlet_boundary([project.tide, 0, 0])
 Bf = Field_boundary(project.event_sts+'.sts',
                     domain, mean_stage=project.tide,
                     time_thinning=1,
-                    default_boundary=Bd,
+                    default_boundary=Dirichlet_boundary([0, 0, 0]),
                     boundary_polygon=bounding_polygon_sts,                    
                     use_cache=True,