Index: /DVD_images/extra_files/BatemansBay/index.html
===================================================================
--- /DVD_images/extra_files/BatemansBay/index.html	(revision 7356)
+++ /DVD_images/extra_files/BatemansBay/index.html	(revision 7357)
@@ -51,9 +51,5 @@
   described in the report.
 
-  <a name="requirements"><h3><b>Report Figures</b></h3></a>
-
-  The figures from the report may be found <a href="documents/Figures">here</a>.
-
-  <a name="installation"><h3><b>Simulation Installation and Usage</b></h3></a>
+ <a name="installation"><h3><b>Simulation Installation and Usage</b></h3></a>
 
   Information for installing and using the simulation is <a href="installation.html">here</a>.
Index: D_images/extra_files/GoldCoast/auxiliary_scripts.html
===================================================================
--- /DVD_images/extra_files/GoldCoast/auxiliary_scripts.html	(revision 7356)
+++ 	(revision )
@@ -1,132 +1,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
-<html>
-<head>
-  <title>Geoscience Australia</title>
-  <link rel="stylesheet" href="browser_files/style.css">
-  <link REL="SHORTCUT ICON" HREF="browser_files/favicon.ico">
-</head>
-<body>
-  <table cellspacing="10" border="0">
-    <tr>
-      <td>
-        <img src="browser_files/logo.jpg" alt="Australian Government, Geoscience Australia" width="327" height="80" border="0"/>
-      </td>
-      <td width="50">
-        &nbsp;
-      </td>
-      <td>
-        <H1>Tsunami Inundation Models for the GOLD COAST region</H1>
-      </td>
-    </tr>
-  </table>
-  <hr>
-
-  <a name="auxiliary scripts"><h2><b>Auxiliary Scripts</b></h2></a>
-  There are number of auxiliary scripts on this disk that you can use to extract information from the SWW files
-  produced by a simulation run.  These scripts are not meant to be the definitive answer on how to get information
-  from SWW files, but are offered as an example of one way to do it.
-  <p>
-  This page describes the scripts and shows how to use them.  Note that due to the ad-hoc nature of the scripts, 
-  you <b>must</b> modify these scripts before they can be used to extract information from any SWW files you
-  generate.
-
-  <a name="export_results_max.py scripts"><h3><b>export_results_max.py</b></h3></a>
-  The <font color="red">export_results_max.py</font> script can be used to create an ASC file that contains the maximum
-  of an ANUGA variable or expression for each point in a user-defined raster on the simulation region.
-  <p>
-  You must change certain values within the <font color="red">export_results_max.py</font> file to get what you want:
-  <ul>
-    <li> You must determine how many SWW files your simulation produced and create as many lines like this:
-<pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-    time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-    time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-    time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-    time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-    time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'</font></pre>
-         as necessary.  Then modify the line:
-<pre><font color="brown">    time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]</font></pre>
-         to include each of the variables you defined above.
-
-    <li> Modify the <b>cellsize</b> value to set the size of the raster you require.  For example:
-<pre><font color="brown">    cellsize = 20		# raster cell size in metres</font></pre>
-
-    <li> Now set the timestep at which you want the raster generated.  Either set the actual timestep required or use 
-         <b>None</b> to indicate that you want the maximum values in the raster over all timesteps:
-<pre><font color="brown">    timestep = 1000
-    #timestep = None		# over all timesteps</font></pre>
-         <p>
-         Note that if you specify a particular timestep here you may not need to include all SWW files in the 
-         <b>time_dirs</b> list above.  For example, if you wanted data from timestep 0 only then you would need
-         to include only the first SWW file in the list.
-
-    <li> If you want to clip the raster to one or more small regions then put the names of the regions of interest
-         into the <b>area</b> list:
-<pre><font color="brown">    area = ['Hobart', 'NW', 'South']</font></pre>
-         Note that the name strings you put into the <b>area</b> list must match the names used in the
-         <font color="red">project.py</font> file.  That is, if you use a name such as 'NW', then the
-         <font color="red">project.py</font> file must have lines like:
-<pre><font color="brown">    xminNW = 548000
-    xmaxNW = 561000
-    yminNW = 5250000
-    ymaxNW = 5258000</font></pre>
-         which set the maximum and minimum eastings and northings that define a rectangular region.
-         <p>
-         If you don't want to clip to a region of interest, then do this:
-<pre><font color="brown">    area = ['All']		# no region of interest</font></pre>
-
-    <li> Now you must decide which variable or expression values you want sampled on your raster.
-         Define a list <b>var</b> that contains strings defining the required variable/expression:
-<pre><font color="brown">    var = ['depth', 'speed']</font></pre>
-         Note that the strings you supply must be defined in the <b>var_equations</b> dictionary
-         prior to your definition of <b>var</b>:
-<pre><font color="brown">    var_equations = {'stage':     'stage',
-                     'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
-                     'depth':     'stage-elevation',
-                     'speed':     '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6)',
-                     'elevation': 'elevation' }</font></pre>
-         This dictionary maps your <b>var</b> strings to a variable or expression.
-  </ul>
-
-  <a name="get_runup.py"><h3><b>get_runup.py</b></h3></a>
-  The <font color="red">get_runup.py</font> script is used to get the maximum runup height in a specified region
-  or regions.
-  <p>
-  You must change certain values within the <font color="red">get_runup.py</font> file to get what you want:
-  <ul>
-    <li> You must determine how many SWW files your simulation produced and create as many lines like this:
-<pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-    time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-    time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-    time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-    time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-    time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'</font></pre>
-         as necessary.  Then modify the line:
-<pre><font color="brown">    time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]</font></pre>
-         to include each of the variables you defined above.
-
-    <li> Make sure that the <b>images</b> list in <font color="red">projects.py</font> contains one or more CSV files
-         defining the regions within the simulation that you want the maximum runup for.
-  </ul>
-
-  <a name="get_timeseries.py"><h3><b>get_timeseries.py</b></h3></a>
-  The <font color="red">get_timeseries.py</font> script is used to get timeseries data for a selection of variable
-  data at one or more gauge points in a simulation.
-  <p>
-  You must change certain values within the <font color="red">get_timeseries.py</font> file to get what you want:
-  <ul>
-    <li> You must determine how many SWW files your simulation produced and create as many lines like this:
-<pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-    time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-    time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-    time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-    time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-    time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'</font></pre>
-         as necessary.  Then modify the line:
-<pre><font color="brown">    time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]</font></pre>
-         to include each of the variables you defined above.
-
-    <li> Make sure that the <b>gauges</b> list in <font color="red">projects.py</font> contains one or more CSV files
-         defining the gauges within the simulation that you want the timeseries data for.
-  </ul>
-</body>
-</html>
Index: /DVD_images/extra_files/GoldCoast/index.html
===================================================================
--- /DVD_images/extra_files/GoldCoast/index.html	(revision 7356)
+++ /DVD_images/extra_files/GoldCoast/index.html	(revision 7357)
@@ -55,8 +55,4 @@
   described in the report.
 
-  <a name="requirements"><h3><b>Report Figures</b></h3></a>
-
-  The figures from the report may be found <a href="documents/Figures">here</a>.
-
   <a name="installation"><h3><b>Simulation Installation and Usage</b></h3></a>
 
Index: /DVD_images/extra_files/Gosford/index.html
===================================================================
--- /DVD_images/extra_files/Gosford/index.html	(revision 7356)
+++ /DVD_images/extra_files/Gosford/index.html	(revision 7357)
@@ -51,8 +51,4 @@
   described in the report.
 
-  <a name="requirements"><h3><b>Report Figures</b></h3></a>
-
-  The figures from the report may be found <a href="documents/Figures">here</a>.
-
   <a name="installation"><h3><b>Simulation Installation and Usage</b></h3></a>
 
Index: /DVD_images/extra_files/Hobart/index.html
===================================================================
--- /DVD_images/extra_files/Hobart/index.html	(revision 7356)
+++ /DVD_images/extra_files/Hobart/index.html	(revision 7357)
@@ -52,8 +52,4 @@
   described in the report.
 
-  <a name="requirements"><h3><b>Report Figures</b></h3></a>
-
-  The figures from the report may be found <a href="documents/Figures">here</a>.
-
   <a name="installation"><h3><b>Simulation Installation and Usage</b></h3></a>
 